<?php
require'f_descarcari.php';
require'f_conectare.php';
conectare('descarcari'.$x1,'descarcari'.$x2);
$titlu='Descărcări'.$x1;
if($de==0)
{
$head[3]='<link rel="alternate" title="Sitemap descărcări XML'.$titlul.'" type="application/xml" href="/sitemap-descarcari.xml" />';
if($go==''&&$la=='')
$head[3].='<link rel="canonical" href="'.$adresasite[0].'/descarcari'.$x2.($page>1?'/pagina/'.$page:'').'" />';
}
if(isset($_GET['fid']))
$back[2]='<a href="/descarcari/categorie/'.$cid.'-'.seo($cinfo[1]).'">'.img('download.gif',1).'Categoria '.$cnume.'</a>';
if($la!='')
{
require'f_profil.php';
$back[3]=profil($la,'Profil membru '.nume($la));
}
if($cid!=''&&$fid=='')
{
$chenar_patrat=1;
require'f_tabelare.php';
}
if($fid>0)
{
require'f_tabelare.php';
if($is_pc>1&&!isset($chenar_patrat))
$head[0].='.rotunjit{border:2px solid #eee;box-shadow:0 3px 2px rgba(0,0,0,0.3);border-radius:5px;margin:0 auto}';
$head[5]='<p style="text-align:center">'.($finfo[4]!=''?($finfo[5]==''&&$finfo[6]==''&&$finfo[7]==''&&$finfo[8]==''&&$finfo[9]==''?'<a href="/'.str_replace('logo_mic_','logo_mare_',$finfo[4]).'"><img '.($is_pc>1?'class="rotunjit" ':'').'src="/'.$finfo[4].'" alt="'.$fid.'" width="128" height="128" /></a><a href="/'.str_replace('logo_mic_','logo_mare_',$finfo[4]).'"><img src="'.$domenii_statice[2].'zoom.gif" alt="" /></a>':'<a href="/galerie-descarcari/album/'.$fid.'-'.seo($finfo[2]).'"><img '.($is_pc>1?'class="rotunjit" ':'').'src="/'.$finfo[4].'" alt="'.$fid.'" width="128" height="128" /></a><a href="/galerie-descarcari/album/'.$fid.'-'.seo($finfo[2]).'">'.img('galerie.png',1).'</a>'):'<a href="'.$domenii_statice[2].'nopic.jpg"><img src="'.$domenii_statice[2].'nopic.jpg" alt="" width="128" height="128" /></a><a href="'.$domenii_statice[2].'nopic.jpg"><img src="'.$domenii_statice[2].'zoom.gif" alt="" /></a>').'</p>';
}
if($la!=''||$go!='')
require_once'f_tabelare.php';
require'f_sus.php';
echo$div[1].'<a href="/sorteaza-fisiere-descarcari'.$x2.'">'.img('download.gif',1).'Sorteaza fișiere</a>'.$div[0];
if($cid==''&&$fid==''&&!isset($_GET['go'])&&$la=='')
{
$abonati=$conn->query('SELECT COUNT(*)FROM`descarcari_abonati`')->fetch_row();
if($abonati[0]>0)
echo$div[1].'<a href="/abonati-descarcari">'.img('download.gif',1).'Membrii abonați</a> <strong>'.number_format($abonati[0]).'</strong>'.$div[0];
$abonat=$conn->query('SELECT COUNT(*)FROM`descarcari_abonati`WHERE`de`="'.$de.'"')->fetch_row();
echo$div[1].'<a href="/abonare-descarcari/tip/'.($abonat[0]==0?'abonare':'dezabonare').'">'.img('download.gif',1).($abonat[0]==0?'Abonare':'Dezabonare de').' la adaugarea de fișiere la descarcari</a>'.$div[0].$div[4].img('download.gif',1).'Alege categorie'.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`descarcari_categorii`')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
require'f_dimensiune.php';
$items=$conn->query('SELECT`id`,`nume`FROM`descarcari_categorii`ORDER BY`nume`LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo$div[1].'<a href="/descarcari/categorie/'.$item[0].'-'.seo($item[1]).'">'.img('download.gif',1).htmlspecialchars($item[1]).'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`descarcari_albume`WHERE`cid`="'.$item[0].'"')->fetch_row()[0]).'</strong> albume'.$div[0];
}
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt categorii adaugate!'.$div[0];
echo$div[1].'<a href="/top-fisiere-descarcate">'.img('topuri.gif',2).'Top fișiere descarcate</a>'.$div[0].$div[1].'<a href="/top-melodii-favorite">'.img('topuri.gif',2).'Top melodii favorite</a>'.$div[0].$div[1].'<a href="/arhiva-melodia-zilei">'.img('playlist.gif',2).'Arhiva melodia zilei</a>'.$div[0].$div[1].'<a href="/ultimele-albume-adaugate">'.img('world.png',2).'Ultimele albume adaugate</a>'.$div[0].$div[1].'<a href="/ultimele-fisiere-adaugate">'.img('world.png',2).'Ultimele fișiere adaugate</a>'.$div[0].$div[1].'<a href="/cauta-in-descarcari">'.img('search.png',2).'Caută în descarcari</a>'.$div[0];
if($perm>0)
echo$div[1].'<a href="/admin-categorii-descarcari">'.img('administrare.png',1).'Administreaza categorii descarcari</a>'.$div[0].$div[1].'<a href="/admin-albume-descarcari">'.img('administrare.png',1).'Administreaza albume descarcari</a>'.$div[0];
if(in_array($de,$id_proprietari))
echo$div[1].'<a href="/admin-adauga-melodia-zilei/data/'.date('Y-m-d').'">'.img('administrare.png',1).'Adaugă melodia zilei</a>'.$div[0];
require'f_jos.php';
}
if($fid==''&&!isset($_GET['go'])&&$la=='')
{
echo$div[4].img('download.gif',1).'Alege album'.$x1.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`descarcari_albume`WHERE`cid`="'.$cid.'"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
require'f_dimensiune.php';
require'f_ramas.php';
$items=$conn->query('SELECT`id`,`nume`,`logo`FROM`descarcari_albume`WHERE`cid`="'.$cid.'"ORDER BY`data`DESC LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$notp=$conn->query('SELECT COUNT(*),SUM(`dimensiune`),SUM(`durata`)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$item[0].'"')->fetch_row();
echo'<tr><td'.$clasa_kk.'><a href="/descarcari/album/'.$item[0].'-'.seo($item[1]).'"><img '.$clasa_imagine.'src="'.($item[2]!=''?'/'.$item[2]:$domenii_statice[2].'nopic.jpg').'" alt="Se încarcă..." /></a></td><td'.$clasa_k.'>'.$clasa_n.'<a href="/descarcari/album/'.$item[0].'-'.seo($item[1]).'">'.img('download.gif',1).htmlspecialchars($item[1]).'</a>'.$div[0].$clasa_normal.'<strong>'.number_format($notp[0]).'</strong> fișiere';
if($notp[1]>0)
echo'<br />Dimensiune fișiere: <strong>'.dimensiune($notp[1]).'</strong>';
if($notp[2]>0)
echo'<br />Durată fișiere: <strong>'.ramas($notp[2]).'</strong>';
echo$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt albume adaugate în aceasta categorie!'.$div[0];
require'f_jos.php';
}
echo$div[4].img('download.gif',1).'Descărcări'.$x1.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`'.$x3)->fetch_row()[0];
if($elemente>0)
{
if($la=='')
require'f_profil.php';
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
if($fid>0&&$page==1)
{
require'f_dimensiune.php';
require'f_ramas.php';
require'f_data.php';
require'f_filtru.php';
$notp=$conn->query('SELECT SUM(`dimensiune`),SUM(`durata`)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$fid.'"')->fetch_row();
if($notp[0]>0)
echo$div[1].'Dimensiune fișiere: <strong>'.dimensiune($notp[0]).'</strong>'.$div[0];
if($notp[1]>0)
echo$div[1].'Durată fișiere: <strong>'.ramas($notp[1]).'</strong>'.$div[0];
echo$div[1].'<small>Adăugat: '.data($finfo[3]).'</small>'.$div[0].$div[1].'<small>BBCode: <strong>[url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$fnume.'[/url]</strong></small>'.$div[0].($finfo[11]!=''?$div[13].filtru($finfo[11]).$div[0]:'').($finfo[10]!=''?$div[10].'<a href="/descarca/album/'.$fid.'-'.seo($finfo[2]).'/tip/album-descarcari"><img src="'.$domenii_statice[2].'download.png" alt="" width="16" height="16" />Descarcă acest album arhivat</a>'.$div[0]:'');
}
if($go==1)
$sql='`id`,`nume`,`de`,`fid`,`data`FROM`descarcari_fisiere`'.$x3.'ORDER BY`data`DESC ';
elseif($go==2)
$sql='`id`,`nume`,`de`,`fid`,`vizualizari`FROM`descarcari_fisiere`'.$x3.'ORDER BY`vizualizari`DESC';
elseif($go==3)
$sql='`id`,`nume`,`de`,`fid`,`descarcari`FROM`descarcari_fisiere`'.$x3.'ORDER BY`descarcari`DESC';
elseif($go==4)
$sql='`descarcari_fisiere`.`id`,`descarcari_fisiere`.`nume`,`descarcari_fisiere`.`de`,`descarcari_fisiere`.`fid`,SUM(`descarcari_note`.`valoare`)AS`as1`FROM`descarcari_fisiere`,`descarcari_note`WHERE`descarcari_fisiere`.`id`=`descarcari_note`.`pid`'.$x4.'GROUP BY`descarcari_fisiere`.`id`ORDER BY`as1`DESC';
elseif($go==5)
$sql='`descarcari_fisiere`.`id`,`descarcari_fisiere`.`nume`,`descarcari_fisiere`.`de`,`descarcari_fisiere`.`fid`,SUM(`descarcari_note`.`valoare`),AVG(`descarcari_note`.`valoare`)AS`as1`,COUNT(`descarcari_note`.`id`)FROM`descarcari_fisiere`,`descarcari_note`WHERE`descarcari_fisiere`.`id`=`descarcari_note`.`pid`'.$x4.'GROUP BY`descarcari_fisiere`.`id`ORDER BY`as1`DESC';
elseif($go==6)
$sql='`descarcari_fisiere`.`id`,`descarcari_fisiere`.`nume`,`descarcari_fisiere`.`de`,`descarcari_fisiere`.`fid`,COUNT(`descarcari_note`.`id`)AS`as1`FROM`descarcari_fisiere`,`descarcari_note`WHERE`descarcari_fisiere`.`id`=`descarcari_note`.`pid`'.$x4.'GROUP BY`descarcari_fisiere`.`id`ORDER BY`as1`DESC';
elseif($go==7)
$sql='`descarcari_fisiere`.`id`,`descarcari_fisiere`.`nume`,`descarcari_fisiere`.`de`,`descarcari_fisiere`.`fid`,COUNT(`descarcari_comentarii`.`id`)AS`as1`FROM`descarcari_fisiere`,`descarcari_comentarii`WHERE`descarcari_fisiere`.`id`=`descarcari_comentarii`.`pid`'.$x4.'GROUP BY`descarcari_fisiere`.`id`ORDER BY`as1`DESC';
elseif($go==8||$go==9)
$sql='`descarcari_fisiere`.`id`,`descarcari_fisiere`.`nume`,`descarcari_fisiere`.`de`,`descarcari_fisiere`.`fid`,COUNT(`descarcari_aprecieri`.`id`)AS`as1`FROM`descarcari_fisiere`,`descarcari_aprecieri`WHERE`descarcari_fisiere`.`id`=`descarcari_aprecieri`.`pid`&&`descarcari_aprecieri`.`valoare`="'.($go==8?1:2).'"'.$x4.'GROUP BY`descarcari_fisiere`.`id`ORDER BY`as1`DESC';
elseif($go==10)
$sql='`id`,`nume`,`de`,`fid`,`pret_com`FROM`descarcari_fisiere`'.$x3.'ORDER BY`pret_com`DESC';
elseif($go==11)
$sql='`id`,`nume`,`de`,`fid`,`pret_rate`FROM`descarcari_fisiere`'.$x3.'ORDER BY`pret_rate`DESC';
else
$sql='`id`,`nume`,`de`,`fid`,`data`FROM`descarcari_fisiere`'.$x3.'ORDER BY`nume`';
$items=$conn->query('SELECT'.$sql.' LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$info=$conn->query('SELECT`nume`FROM`descarcari_albume`WHERE`id`="'.$item[3].'"')->fetch_row()[0];
echo'<tr><td'.$clasa_kk.'><a href="/fisier/id/'.$item[0].'-'.seo($item[1]).'" title="Fișier '.htmlspecialchars($item[1].' - '.$info).'">'.avatar($item[2]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($item[2]).($perm>0?' <sterge><a href="/admin-sterge-fisier/id/'.$item[0].'-'.seo($item[1]).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a>':'').$div[0].$clasa_normal.'<a href="/fisier/id/'.$item[0].'-'.seo($item[1]).'" title="Fișier '.htmlspecialchars($item[1].' - '.$info).'">'.htmlspecialchars($item[1]).'</a><br />';
if($fid=='')
echo'In albumul: <a href="/descarcari/album/'.$item[3].'-'.seo($info).'"><strong>'.htmlspecialchars($info).'</strong></a><br />';
if($go<2)
{
require_once'f_data.php';
echo'<small>Adaugat: '.data($item[4]).'</small>';
}
if($go==2)
echo'Vizualizări: <strong>'.number_format($item[4]).'</strong>';
if($go==3)
echo'Descărcări: <strong>'.number_format($item[4]).'</strong>';
if($go==4)
echo'Puncte: <strong>'.number_format($item[4]).'</strong>';
if($go==5)
{
require_once'f_nota.php';
echo'Nota: <strong>'.nota(mb_substr(($item[4]/$item[6]),0,4)).'</strong>';
}
if($go==6)
echo'<a href="/note-fisier/id/'.$item[0].'-'.seo($item[1]).'">Voturi</a> <strong>'.number_format($item[4]).'</strong>';
if($go==7)
echo'<a href="/comentarii-fisier/id/'.$item[0].'-'.seo($item[1]).'">Comentarii</a> <strong>'.number_format($item[4]).'</strong>';
if($go==8)
echo'<img src="'.$domenii_statice[1].'apreciaza.png" alt="" width="16" height="16" /><a href="/aprecieri-fisier/id/'.$item[0].'-'.seo($item[1]).'/tip/aprecieri">Aprecieri</a> <strong>'.number_format($item[4]).'</strong>';
if($go==9)
echo'<img src="'.$domenii_statice[2].'dezapreciaza.png" alt="" width="16" height="16" /><a href="/aprecieri-fisier/id/'.$item[0].'-'.seo($item[1]).'/tip/dezaprecieri">Dezaprecieri</a> <strong>'.number_format($item[4]).'</strong>';
if($go==10)
echo'Oferă la comentare <strong>'.number_format($item[4]).'</strong> lei';
if($go==11)
echo'Oferă la notare <strong>'.number_format($item[4]).'</strong> lei';
echo$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
if($fid>0)
{
if($perm>0)
echo$div[1].'<a href="/admin-editeaza-album-descarcari'.$x2.'">'.img('administrare.png',1).'Editează albumul '.$fnume.'</a>'.$div[0];
if($perm>1)
echo$div[1].'<a href="/admin-editeaza-fisiere-descarcari'.$x2.'">'.img('administrare.png',1).'Editează fișiere din albumul '.$fnume.'</a>'.$div[0];
require'f_like.php';
echo$div[1].distribuie('descarcari/album/'.$fid.'-'.seo($finfo[2]),$titlu).$div[0];
if($conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$fid.'"&&(`link`LIKE"%.mp3%"||`link`LIKE"%.mp4%")')->fetch_row()[0]>0)
echo$div[1].'<a href="/versiunea-cu-player/album/'.$fid.'-'.seo($finfo[2]).'">'.img('playlist.gif',2).'Ascultă acest album în versiunea cu player</a>'.$div[0];
}
}
else
echo$div[7].'Nu sunt fișiere adaugate la descarcari'.($la!=''?' de către '.nume($la).',':'').($fid!=''?' în acest album':'').($go!=''?' după acest criteriu de selectie':'').'!'.$div[0];
if($fid>0&&$perm>0)
echo$div[1].'<a href="/admin-adauga-fisiere-descarcari/album/'.$fid.'-'.seo($finfo[2]).'"><img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă fișiere în albumul '.$fnume.'</a>'.$div[0];
require'f_jos.php';